asn1_encode_simple_der(3)

NAME
asn1_encode_simple_der - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_encode_simple_der(unsigned int etype, const unsigned char * str, unsigned int str_len, unsigned char * tl, unsigned int * tl_len);

ARGUMENTS

unsigned int etype
    The type of the string to be encoded (ASN1_ETYPE_)

const unsigned char * str
    the string data.

unsigned int str_len
    the string length

unsigned char * tl
    the encoded tag and length

unsigned int * tl_len
    the bytes of the tl field

DESCRIPTION
Creates the DER encoding for various simple ASN.1 types like strings etc. It stores the tag and length in tl , which should have space for at least ASN1_MAX_TL_SIZE bytes. Initially tl_len should contain the size of tl . The complete DER encoding should consist of the value in tl appended with the provided str .

RETURNS
ASN1_SUCCESS if successful or an error value.

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/